`mosquito-hive` -- Simple scripts to rebuild a collection of packages
in hasher.

The results are reported in a way similar to the
[beehive](http://git.altlinux.org/beehive/logs/Sisyphus-x86_64/latest/error/)
of ALT Sisyphus, which regularly sends its reports to
[sisyphus-cybertalk](https://lists.altlinux.org/pipermail/sisyphus-cybertalk/).

The build progress is reported in a way similar to
[girar](http://git.altlinux.org/tasks/index/sisyphus/failed/)
of ALT Sisyphus, which immediately after the completion of a task
sends its reports to
[sisyphus-incominger](https://lists.altlinux.org/pipermail/sisyphus-incominger/).

## Features

* rebuild selected SRPMS
** parallel builds, too
* get the list of SRPMS corresponding to a list of selected binary
  RPMS
** make the correspondence relations between src and bin pkg names,
  and between them and files (if src.list and bin.list are missing)
* diff between our results and the results of ALT Sisyphus beehive
  (based on the logs)

The features beyond the first bullet are WORK-IN-PROGRESS (not
packaged yet, but saved in Git).

## rebuild selected SRPMS -- `mosquito-rebuild`

The packages are given by their names as lines on stdin.

`SRPMDIR` environment variable specifies the place to search for the
.src.rpm files (`/ALT/Sisyphus/files/SRPMS` by default, if `SRPMDIR` is
unset).

`hsh` is run in `~/hasher/` with your default configuration. If you
want to pass some options to `hsh`, you can put an executable
named `hsh` into your current directory to override the default `hsh`.

The build logs are saved into subdirs of the current directory (either
`success/` or `error/`) under the "exact" pkg name (with
version-release), similarly to beehive.

As for the list of selected pkgs, it is common to make a file with the
list once and then run further iterations of `mosquito-rebuild` like
this:

    mosquito-rebuild <srclist-some_description

A minimal set of tools to help make such lists is provided; see below.

Some packages can be skipped by `mosquito-rebuild` based on either the
exact pkg name (with version-release) or just the plain name (without
version-release). They are read line-by-line from `srpms-to-skip` file
in the current directory (if it is readable).

* The exact match can be useful if a certain release was known to fail
  to build, but in case it gets updated in SRPMS, a rebuild should be
  tried (because the problem might have been fixed in the new
  release).
* The match by plain name can be useful for more brute (perhaps,
  manual) intervention.

The exact names of src pkgs which have been tried to be rebuilt (with
either result) are accumulated in `srpms-build-attempted` file in
current directory. If you want to just skip them on any
iterations of `mosquito-rebuild`, you can simply:

    ln -sT srpms-build-attempted srpms-to-skip

<!-- Local Variables: -->
<!-- ispell-local-dictionary: "english" -->
<!-- End: -->
