#!/bin/bash4
# The shebang is needed to specify the version of bash,
# not because this is an executable.
shopt -s extglob

getFileForPkgname() {
    local -r prefix_extglob="$1"
    local -r p="$2"
    local -r suffix_extglob="$3"

    local f
    for f in $prefix_extglob"$p"-*([^-])-*([^-])$suffix_extglob; do
	echo "$f"
	# Usually, we expect only a single file.
	return
    done
}

getRPMForPkgnames() {
    local p
    for p in "$@"; do
	getFileForPkgname \
	    '/ALT/Sisyphus/@(x86_64|noarch)/RPMS.classic'/ \
	    "$p" \
	    '.*([^.]).rpm'
    done
}

pkgnameWithoutVerRel() {
    echo "${1%%-*([^-])-*([^-])}"
}
